Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.ac.parlay.management
Interface AudioCallManagementMBean

public interface AudioCallManagementMBean

The management interface for the MultimediaMessaging MM7 Plug-in

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `chargingAllowed` Specifies if charging is allowed or not.
`static int` | `collectInterCharTimeout` Specifies user input inter-character timeout for digit collect.
`static int` | `collectStartTimeout` Specifies user input start timeout for digit collect.
`static String` | `endSequence` The endSequence of digit collect.
`static String` | `language` The Language of the information to be sent to the user.
`static int` | `maxDigits` The maximum digits can be collected.
`static int` | `minDigits` The minimum digits can be collected.
`static int` | `repeatIndicator` Defines how many times the information shall be sent to the end-user.
`static int` | `responseRequested` Specifies if a response is required from the call user interaction service, and any action the service should take.
`static int` | `retensionTime` Specifies time interval in second for which status is retained after a message is played or an error occurs.

Method Summary
`boolean` | `getChargingAllowed()`
`int` | `getCollectInterCharTimeout()`
`int` | `getCollectStartTimeout()`
`String` | `getEndSequence()`
`String` | `getLanguage()`
`int` | `getMaxDigits()`
`int` | `getMinDigits()`
`int` | `getRepeatIndicator()`
`int` | `getResponseRequested()`
`int` | `getRetensionTime()`
`void` | `setChargingAllowed(boolean value)`
`void` | `setCollectInterCharTimeout(int collectInterCharTimeout)`
`void` | `setCollectStartTimeout(int collectStartTimeout)`
`void` | `setEndSequence(String value)`
`void` | `setLanguage(String value)`
`void` | `setMaxDigits(int value)`
`void` | `setMinDigits(int value)`
`void` | `setRepeatIndicator(int value)`
`void` | `setResponseRequested(int value)`
`void` | `setRetensionTime(int value)`

Field Detail

### chargingAllowed

    public static final boolean chargingAllowed

  Specifies if charging is allowed or not. Default is false.

  See Also:
    Constant Field Values

### collectInterCharTimeout

    public static final int collectInterCharTimeout

  Specifies user input inter-character timeout for digit collect. Default is 3s.

  See Also:
    Constant Field Values

### collectStartTimeout

    public static final int collectStartTimeout

  Specifies user input start timeout for digit collect. Default is 10s.

  See Also:
    Constant Field Values

### endSequence

    public static final String endSequence

  The endSequence of digit collect. Default is '#'

  See Also:
    Constant Field Values

### language

    public static final String language

  The Language of the information to be sent to the user. Default is English

  See Also:
    Constant Field Values

### maxDigits

    public static final int maxDigits

  The maximum digits can be collected. Default is 3

  See Also:
    Constant Field Values

### minDigits

    public static final int minDigits

  The minimum digits can be collected. Default is 1

  See Also:
    Constant Field Values

### repeatIndicator

    public static final int repeatIndicator

  Defines how many times the information shall be sent to the end-user. Default is 1. A value of zero (0) indicates that the announcement shall be repeated until the call or call leg is released or an abortActionReq() is sent.

  See Also:
    Constant Field Values

### responseRequested

    public static final int responseRequested

  Specifies if a response is required from the call user interaction service, and any action the service should take. Default is 1. 1: The User Interaction Call shall send a response when the request has completed. 2: This is the final announcement within a sequence. It might, however, be that additional announcements will be requested at a later moment. The User Interaction Call service may release any used resources in the network. The UI object will not be released. 4: This is the final request. The UI object will be released after the information has been presented to the user.

  See Also:
    Constant Field Values

### retensionTime

    public static final int retensionTime

  Specifies time interval in second for which status is retained after a message is played or an error occurs. Default is 30s.

  See Also:
    Constant Field Values

Method Detail

### getChargingAllowed

    public boolean getChargingAllowed()
                               throws ManagementException

  Throws:
    `ManagementException`

### getCollectInterCharTimeout

    public int getCollectInterCharTimeout()
                                   throws ManagementException

  Throws:
    `ManagementException`

### getCollectStartTimeout

    public int getCollectStartTimeout()
                               throws ManagementException

  Throws:
    `ManagementException`

### getEndSequence

    public String getEndSequence()
                          throws ManagementException

  Throws:
    `ManagementException`

### getLanguage

    public String getLanguage()
                       throws ManagementException

  Throws:
    `ManagementException`

### getMaxDigits

    public int getMaxDigits()
                     throws ManagementException

  Throws:
    `ManagementException`

### getMinDigits

    public int getMinDigits()
                     throws ManagementException

  Throws:
    `ManagementException`

### getRepeatIndicator

    public int getRepeatIndicator()
                           throws ManagementException

  Throws:
    `ManagementException`

### getResponseRequested

    public int getResponseRequested()
                             throws ManagementException

  Throws:
    `ManagementException`

### getRetensionTime

    public int getRetensionTime()
                         throws ManagementException

  Throws:
    `ManagementException`

### setChargingAllowed

    public void setChargingAllowed(boolean value)
                            throws ManagementException

  Throws:
    `ManagementException`

### setCollectInterCharTimeout

    public void setCollectInterCharTimeout(int collectInterCharTimeout)
                                    throws ManagementException

  Throws:
    `ManagementException`

### setCollectStartTimeout

    public void setCollectStartTimeout(int collectStartTimeout)
                                throws ManagementException

  Throws:
    `ManagementException`

### setEndSequence

    public void setEndSequence(String value)
                        throws ManagementException

  Throws:
    `ManagementException`

### setLanguage

    public void setLanguage(String value)
                     throws ManagementException

  Throws:
    `ManagementException`

### setMaxDigits

    public void setMaxDigits(int value)
                      throws ManagementException

  Throws:
    `ManagementException`

### setMinDigits

    public void setMinDigits(int value)
                      throws ManagementException

  Throws:
    `ManagementException`

### setRepeatIndicator

    public void setRepeatIndicator(int value)
                            throws ManagementException

  Throws:
    `ManagementException`

### setResponseRequested

    public void setResponseRequested(int value)
                              throws ManagementException

  Throws:
    `ManagementException`

### setRetensionTime

    public void setRetensionTime(int value)
                          throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD